# ncurses 6.1 - patch 20190302 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.1 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.1 can be found at
# 	ftp://ftp.invisible-island.net/ncurses/6.1
#	http://invisible-mirror.net/archives/ncurses/6.1 
#
# ------------------------------------------------------------------------------
# ftp://ftp.invisible-island.net/ncurses/6.1/ncurses-6.1-20190302.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Mar  3 02:12:54 UTC 2019
# ------------------------------------------------------------------------------
# Ada95/make-tar.sh                         |    6 -
# MANIFEST                                  |    1 
# NEWS                                      |    9 +
# VERSION                                   |    2 
# dist.mk                                   |    4 
# include/Caps.hpux11                       |   16 +--
# include/MKkey_defs.sh                     |    6 -
# include/MKterm.h.awk.in                   |   11 +-
# include/Makefile.in                       |   25 ++--
# man/MKterminfo.sh                         |   30 +++--
# man/Makefile.in                           |   13 +-
# ncurses-6.1-20190302/include/Caps-ncurses |  145 ++++++++++++++++++++++++++++
# ncurses/Makefile.in                       |   13 +-
# ncurses/tinfo/MKkeys_list.sh              |   16 ++-
# ncurses/tty/MKexpanded.sh                 |    6 -
# ncurses/tty/tty_update.c                  |    9 -
# package/debian-mingw/changelog            |    4 
# package/debian-mingw64/changelog          |    4 
# package/debian/changelog                  |    4 
# package/mingw-ncurses.nsi                 |    4 
# package/mingw-ncurses.spec                |    2 
# package/ncurses.spec                      |    2 
# package/ncursest.spec                     |    2 
# progs/capconvert                          |    8 -
# test/make-tar.sh                          |    6 -
# 25 files changed, 263 insertions(+), 85 deletions(-)
# ------------------------------------------------------------------------------
Index: Ada95/make-tar.sh
Prereq:  1.16 
--- ncurses-6.1-20190223+/Ada95/make-tar.sh	2017-08-12 12:22:06.000000000 +0000
+++ ncurses-6.1-20190302/Ada95/make-tar.sh	2019-03-02 22:51:42.000000000 +0000
@@ -1,7 +1,7 @@
 #!/bin/sh
-# $Id: make-tar.sh,v 1.16 2017/08/12 12:22:06 tom Exp $
+# $Id: make-tar.sh,v 1.17 2019/03/02 22:51:42 tom Exp $
 ##############################################################################
-# Copyright (c) 2010-2015,2017 Free Software Foundation, Inc.                #
+# Copyright (c) 2010-2017,2019 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -80,7 +80,7 @@
 SOURCE=`cd ..;pwd`
 
 BUILD=$TMPDIR/make-tar$$
-trap "cd /; rm -rf $BUILD; exit 0" 0 1 2 3 15
+trap "cd /; rm -rf $BUILD; exit 0" EXIT INT QUIT TERM HUP
 
 umask 077
 if ! ( mkdir $BUILD )
Index: MANIFEST
--- ncurses-6.1-20190223+/MANIFEST	2019-02-17 02:35:38.000000000 +0000
+++ ncurses-6.1-20190302/MANIFEST	2019-03-02 22:34:11.000000000 +0000
@@ -533,6 +533,7 @@
 ./form/llib-lformw
 ./form/modules
 ./include/Caps
+./include/Caps-ncurses
 ./include/Caps.aix4
 ./include/Caps.hpux11
 ./include/Caps.keys
Index: NEWS
Prereq:  1.3278 
--- ncurses-6.1-20190223+/NEWS	2019-02-23 22:52:48.000000000 +0000
+++ ncurses-6.1-20190302/NEWS	2019-03-03 01:12:40.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.3278 2019/02/23 22:52:48 tom Exp $
+-- $Id: NEWS,v 1.3283 2019/03/03 01:12:40 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,13 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20190302
+	+ corrected some of the undocumented terminfo names in Caps.hpux11
+	+ add "Caps-ncurses" file to help with checking inconsistencies in some
+	  user-defined capabilities.
+	+ amend check for repeat_char to handle a case where setlocale() was
+	  called after initscr() (report by "Ampera").
+
 20190223
 	+ fix typo in adds200 -TD
 	+ add tic check for consistent alternate character set capabilities.
Index: VERSION
--- ncurses-6.1-20190223+/VERSION	2019-02-23 16:29:00.000000000 +0000
+++ ncurses-6.1-20190302/VERSION	2019-02-28 00:12:30.000000000 +0000
@@ -1 +1 @@
-5:0:10	6.1	20190223
+5:0:10	6.1	20190302
Index: dist.mk
Prereq:  1.1268 
--- ncurses-6.1-20190223+/dist.mk	2019-02-23 16:29:00.000000000 +0000
+++ ncurses-6.1-20190302/dist.mk	2019-02-28 00:12:30.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1268 2019/02/23 16:29:00 tom Exp $
+# $Id: dist.mk,v 1.1270 2019/02/28 00:12:30 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 1
-NCURSES_PATCH = 20190223
+NCURSES_PATCH = 20190302
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: include/Caps-ncurses
--- /dev/null	2019-03-02 11:15:31.508000000 +0000
+++ ncurses-6.1-20190302/include/Caps-ncurses	2019-03-02 22:46:09.000000000 +0000
@@ -0,0 +1,145 @@
+##############################################################################
+# Copyright (c) 2019 Free Software Foundation, Inc.                          #
+#                                                                            #
+# Permission is hereby granted, free of charge, to any person obtaining a    #
+# copy of this software and associated documentation files (the "Software"), #
+# to deal in the Software without restriction, including without limitation  #
+# the rights to use, copy, modify, merge, publish, distribute, distribute    #
+# with modifications, sublicense, and/or sell copies of the Software, and to #
+# permit persons to whom the Software is furnished to do so, subject to the  #
+# following conditions:                                                      #
+#                                                                            #
+# The above copyright notice and this permission notice shall be included in #
+# all copies or substantial portions of the Software.                        #
+#                                                                            #
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR #
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,   #
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL    #
+# THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER      #
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING    #
+# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER        #
+# DEALINGS IN THE SOFTWARE.                                                  #
+#                                                                            #
+# Except as contained in this notice, the name(s) of the above copyright     #
+# holders shall not be used in advertising or otherwise to promote the sale, #
+# use or other dealings in this Software without prior written               #
+# authorization.                                                             #
+##############################################################################
+#
+# Author: Thomas E. Dickey
+#
+# $Id: Caps-ncurses,v 1.2 2019/03/02 22:46:09 tom Exp $
+#
+# This is a table of ncurses user-definable capabilities which applications
+# developers may have used.  ncurses may use the table to check consistency of
+# types/parameters.  Applications may have defined others (such as screen's
+# LP and NF), but where a standard capability is available, those alternatives
+# are not listed here.
+#
+used_by ncurses
+userdef	E3	str	-	clears the terminal's scrollback buffer.
+userdef	RGB	bool	-	use direct colors with 1/3 of color-pair bits per color.
+userdef	RGB	num	n	use direct colors with given number of bits per color.
+userdef	RGB	str	nnn	use direct colors with given bit-layout.
+userdef	TS	str	-	like "tsl", but uses no parameter.
+userdef	U8	num	n	terminal does/does not support VT100 SI/SO when processing UTF-8 encoding.
+userdef	XM	str	-	initialize alternate xterm mouse mode
+userdef	grbom	str	-	disable real bold (not intensity bright) mode.
+userdef	gsbom	str	-	enable real bold (not intensity bright) mode.
+userdef	xm	str	-	mouse response, no parameters
+userdef	xm	str	n	mouse response, p1 = y-ordinate
+userdef	xm	str	nn	mouse response, p2 = x-ordinate
+userdef	xm	str	nnn	mouse response, p3 = button
+userdef	xm	str	nnns	mouse response, p4 = state, e.g., pressed or released
+userdef	xm	str	nnnsn	mouse response, p6 = y-ordinate starting region
+userdef	xm	str	nnnsnn	mouse response, p7 = x-ordinate starting region
+userdef	xm	str	nnnsnnn	mouse response, p8 = y-ordinate ending region
+userdef	xm	str	nnnsnnnn	mouse response, p9 = x-ordinate ending region
+#
+used_by screen
+userdef	AN	bool	-	turn on autonuke.
+userdef	AX	bool	-	understands ANSI set default fg/bg color (\E[39m / \E[49m).
+userdef	C0	str	-	use the string as a conversion table for font '0', like acsc.
+userdef	C8	bool	-	terminal shows bold as high-intensity colors.
+userdef	CE	str	-	switch cursor-keys back to normal mode.
+userdef	CS	str	-	switch cursor-keys to application mode.
+userdef	E0	str	-	switch charset 'G0' back to standard charset. Default is '\E(B'.
+userdef	G0	bool	-	terminal can deal with ISO 2022 font selection sequences.
+userdef	KJ	str	s	set the encoding of the terminal.
+userdef	OL	num	n	set the screen program's output buffer limit.
+userdef	S0	str	s	switch charset 'G0' to the specified charset. Default is '\E(%.'.
+userdef	TF	bool	-	add missing capabilities to screen's termcap/info entry. (Set by default).
+userdef	WS	str	nn	resize display. This capability has the desired width and height as arguments. SunView(tm) example: '\E[8;%d;%dt'.
+userdef	XC	str	s	describe a translation of characters to strings depending on the current font.
+userdef	XT	bool	-	terminal understands special xterm sequences (OSC, mouse tracking).
+userdef	Z0	str	-	change width to 132 columns.
+userdef	Z1	str	-	change width to 80 columns.
+#
+used_by tmux
+userdef	Cr	str	-	restore the default cursor color.
+userdef	Cs	str	s	set the cursor color.
+userdef	Csr	str	n	change the cursor style, overriding Ss.
+userdef	Ms	str	ss	store the current buffer in the host terminal's selection (clipboard).
+userdef	Se	str	-	reset the cursor style to the terminal initial state.
+userdef	Smulx	str	n	modify the appearance of underlines in VTE.
+userdef	Ss	str	n	change the cursor style.
+userdef	rmxx	str	-	reset ECMA-48 strikeout/crossed-out attributes.
+userdef	smxx	str	-	set ECMA-48 strikeout/crossed-out attributes.
+#
+used_by xterm
+userdef	kDC3	str	-	alt delete-character
+userdef	kDC4	str	-	shift+alt delete-character
+userdef	kDC5	str	-	control delete-character
+userdef	kDC6	str	-	shift+control delete-character
+userdef	kDC7	str	-	alt+control delete-character
+userdef	kDN	str	-	shift down-cursor
+userdef	kDN3	str	-	alt down-cursor
+userdef	kDN4	str	-	shift+alt down-cursor
+userdef	kDN5	str	-	control down-cursor
+userdef	kDN6	str	-	shift+control down-cursor
+userdef	kDN7	str	-	alt+control down-cursor
+userdef	kEND3	str	-	alt end
+userdef	kEND4	str	-	shift+alt end
+userdef	kEND5	str	-	control end
+userdef	kEND6	str	-	shift+control end
+userdef	kEND7	str	-	alt+control end
+userdef	kHOM3	str	-	alt home
+userdef	kHOM4	str	-	shift+alt home
+userdef	kHOM5	str	-	control home
+userdef	kHOM6	str	-	shift+control home
+userdef	kHOM7	str	-	alt+control home
+userdef	kIC3	str	-	alt insert-character
+userdef	kIC4	str	-	shift+alt insert-character
+userdef	kIC5	str	-	control insert-character
+userdef	kIC6	str	-	shift+control insert-character
+userdef	kIC7	str	-	alt+control insert-character
+userdef	kLFT3	str	-	alt left-cursor
+userdef	kLFT4	str	-	shift+alt left-cursor
+userdef	kLFT5	str	-	control left-cursor
+userdef	kLFT6	str	-	shift+control left-cursor
+userdef	kLFT7	str	-	alt+control left-cursor
+userdef	kNXT3	str	-	alt next
+userdef	kNXT4	str	-	shift+alt next
+userdef	kNXT5	str	-	control next
+userdef	kNXT6	str	-	shift+control next
+userdef	kNXT7	str	-	alt+control next
+userdef	kPRV3	str	-	alt previous
+userdef	kPRV4	str	-	shift+alt previous
+userdef	kPRV5	str	-	control previous
+userdef	kPRV6	str	-	shift+control previous
+userdef	kPRV7	str	-	alt+control previous
+userdef	kRIT3	str	-	alt right-cursor
+userdef	kRIT4	str	-	shift+alt right-cursor
+userdef	kRIT5	str	-	control right-cursor
+userdef	kRIT6	str	-	shift+control right-cursor
+userdef	kRIT7	str	-	alt+control right-cursor
+userdef	kUP	str	-	shift up-cursor
+userdef	kUP3	str	-	alt up-cursor
+userdef	kUP4	str	-	shift+alt up-cursor
+userdef	kUP5	str	-	control up-cursor
+userdef	kUP6	str	-	shift+control up-cursor
+userdef	kUP7	str	-	alt+control up-cursor
+userdef	ka2	str	-	vt220-keypad extensions
+userdef	kb1	str	-	vt220-keypad extensions
+userdef	kb3	str	-	vt220-keypad extensions
+userdef	kc2	str	-	vt220-keypad extensions
Index: include/Caps.hpux11
Prereq:  1.8 
--- ncurses-6.1-20190223+/include/Caps.hpux11	2016-08-13 17:45:50.000000000 +0000
+++ ncurses-6.1-20190302/include/Caps.hpux11	2019-03-03 01:11:38.000000000 +0000
@@ -1,5 +1,5 @@
 ##############################################################################
-# Copyright (c) 2002-2015,2016 Free Software Foundation, Inc.                #
+# Copyright (c) 2002-2016,2019 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -28,7 +28,7 @@
 #
 # Author: Thomas Dickey
 #
-# $Id: Caps.hpux11,v 1.8 2016/08/13 17:45:50 tom Exp $
+# $Id: Caps.hpux11,v 1.9 2019/03/03 01:11:38 tom Exp $
 #
 # This is an adaptation of ncurses' termcap/terminfo capability table, which
 # is designed to align with HPUX 11.x's terminfo.
@@ -771,12 +771,12 @@
 enter_top_hl_mode		ethlm	str	Xt	-		-	-----	Enter top highlight mode
 enter_vertical_hl_mode		evhlm	str	Xv	-		-	-----	Enter vertical highlight mode
 set_a_attributes		sgr1	str	sA	-		-	-----	Define second set of video attributes #1-#6
-exit_horizontal_hl_mode 	rhhlm	str	XH	-		-	----K	Exit horizontal highlight mode
-exit_left_hl_mode 		rlhlm	str	XL	-		-	----K	Exit left highlight mode
-exit_low_hl_mode 		rlohlm	str	XO	-		-	----K	Exit low highlight mode
-exit_right_hl_mode 		rrhlm	str	XR	-		-	----K	Exit right highlight mode
-exit_top_hl_mode 		rthlm	str	XT	-		-	----K	Exit top highlight mode
-exit_vertical_hl_mode 		rvhlm	str	XV	-		-	----K	Exit vertical highlight mode
+exit_horizontal_hl_mode 	rmhhlm	str	XH	-		-	----K	Exit horizontal highlight mode
+exit_left_hl_mode 		rmlhlm	str	XL	-		-	----K	Exit left highlight mode
+exit_low_hl_mode 		rmlohlm	str	XO	-		-	----K	Exit low highlight mode
+exit_right_hl_mode 		rmrhlm	str	XR	-		-	----K	Exit right highlight mode
+exit_top_hl_mode 		rmthlm	str	XT	-		-	----K	Exit top highlight mode
+exit_vertical_hl_mode 		rmvhlm	str	XV	-		-	----K	Exit vertical highlight mode
 #%.TE
 #%.ad
 #
Index: include/MKkey_defs.sh
Prereq:  1.16 
--- ncurses-6.1-20190223+/include/MKkey_defs.sh	2017-08-12 12:22:06.000000000 +0000
+++ ncurses-6.1-20190302/include/MKkey_defs.sh	2019-03-02 22:51:42.000000000 +0000
@@ -1,7 +1,7 @@
 #! /bin/sh
-# $Id: MKkey_defs.sh,v 1.16 2017/08/12 12:22:06 tom Exp $
+# $Id: MKkey_defs.sh,v 1.17 2019/03/02 22:51:42 tom Exp $
 ##############################################################################
-# Copyright (c) 2001-2013,2017 Free Software Foundation, Inc.                #
+# Copyright (c) 2001-2017,2019 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -42,7 +42,7 @@
 pass2=pass2_$$
 pass3=pass3_$$
 pass4=pass4_$$
-trap 'rm -f $data pass[1234]_$$' 0 1 2 3 15
+trap 'rm -f $data pass[1234]_$$' EXIT INT QUIT TERM HUP
 
 # change repeated tabs (used for readability) to single tabs (needed to make
 # awk see the right field alignment of the corresponding columns):
Index: include/MKterm.h.awk.in
Prereq:  1.69 
--- ncurses-6.1-20190223+/include/MKterm.h.awk.in	2018-06-23 21:35:06.000000000 +0000
+++ ncurses-6.1-20190302/include/MKterm.h.awk.in	2019-03-02 23:23:58.000000000 +0000
@@ -26,7 +26,7 @@
 	lcurl = "{";
 	rcurl = "}";
 	print  "/****************************************************************************"
-	print  " * Copyright (c) 1998-2017,2018 Free Software Foundation, Inc.              *"
+	print  " * Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.              *"
 	print  " *                                                                          *"
 	print  " * Permission is hereby granted, free of charge, to any person obtaining a  *"
 	print  " * copy of this software and associated documentation files (the            *"
@@ -59,7 +59,7 @@
 	print  "/*    and: Thomas E. Dickey                        1995-on                  */"
 	print  "/****************************************************************************/"
 	print  ""
-	print  "/* $Id: MKterm.h.awk.in,v 1.69 2018/06/23 21:35:06 tom Exp $ */"
+	print  "/* $Id: MKterm.h.awk.in,v 1.70 2019/03/02 23:23:58 tom Exp $ */"
 	print  ""
 	print  "/*"
 	print  "**	term.h -- Definition of struct term"
@@ -168,9 +168,10 @@
 	print  "#ifdef __INTERNAL_CAPS_VISIBLE"
 }
 
-/^#/ {
-	next;
-}
+/^#/ { next; }
+
+/^used_by/ { next ; }
+/^userdef/ { next ; }
 
 $1 == "acs_chars" {
 	acsindex = StringCount;
Index: include/Makefile.in
Prereq:  1.43 
--- ncurses-6.1-20190223+/include/Makefile.in	2015-08-05 09:25:55.000000000 +0000
+++ ncurses-6.1-20190302/include/Makefile.in	2019-03-03 01:41:21.000000000 +0000
@@ -1,6 +1,6 @@
-# $Id: Makefile.in,v 1.43 2015/08/05 09:25:55 tom Exp $
+# $Id: Makefile.in,v 1.45 2019/03/03 01:41:21 tom Exp $
 ##############################################################################
-# Copyright (c) 1998-2013,2015 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2015,2019 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -66,6 +66,8 @@
 # The "Caps" file specifies the terminfo database format, as well as the list
 # of function keys.
 TERMINFO_CAPS	= $(srcdir)/@TERMINFO_CAPS@
+CAPLIST	=	$(TERMINFO_CAPS) \
+		$(srcdir)/Caps-ncurses
 
 # These files are generated by the configure script
 CONFIG_SRC = \
@@ -91,27 +93,30 @@
 sources \
 install ::	$(AUTO_SRC)
 
-curses.h : $(TERMINFO_CAPS) \
+curses.h :	$(CAPLIST) \
 		curses.head \
 		$(srcdir)/curses.tail \
 		$(srcdir)/MKkey_defs.sh
 	cat curses.head >$@
-	AWK=$(AWK) $(SHELL) $(srcdir)/MKkey_defs.sh $(TERMINFO_CAPS) >>$@
+	AWK=$(AWK) $(SHELL) $(srcdir)/MKkey_defs.sh $(CAPLIST) >>$@
 	$(SHELL) -c 'if test "@NCURSES_CH_T@" = "cchar_t" ; then cat $(srcdir)/curses.wide >>$@ ; fi'
 	cat $(srcdir)/curses.tail >>$@
 
-term.h: $(TERMINFO_CAPS) MKterm.h.awk
-	$(AWK) -f MKterm.h.awk $(TERMINFO_CAPS) > $@
+term.h: 	$(CAPLIST) \
+		MKterm.h.awk
+	$(AWK) -f MKterm.h.awk $(CAPLIST) > $@
 	$(SHELL) $(srcdir)/edit_cfg.sh ../include/ncurses_cfg.h $@
 
-hashsize.h: $(TERMINFO_CAPS) $(srcdir)/MKhashsize.sh
-	$(SHELL) $(srcdir)/MKhashsize.sh $(TERMINFO_CAPS) >$@
+hashsize.h:	$(CAPLIST) \
+		$(srcdir)/MKhashsize.sh
+	$(SHELL) $(srcdir)/MKhashsize.sh $(CAPLIST) >$@
 
 ncurses_def.h: $(srcdir)/ncurses_defs $(srcdir)/MKncurses_def.sh
 	AWK=$(AWK) $(SHELL) $(srcdir)/MKncurses_def.sh $(srcdir)/ncurses_defs >$@
 
-parametrized.h: $(TERMINFO_CAPS) $(srcdir)/MKparametrized.sh
-	AWK=$(AWK) $(SHELL) $(srcdir)/MKparametrized.sh $(TERMINFO_CAPS) >$@
+parametrized.h: $(CAPLIST) \
+		$(srcdir)/MKparametrized.sh
+	AWK=$(AWK) $(SHELL) $(srcdir)/MKparametrized.sh $(CAPLIST) >$@
 
 # This is required by pthread.h on MinGW
 config.h:
Index: man/MKterminfo.sh
Prereq:  1.16 
--- ncurses-6.1-20190223+/man/MKterminfo.sh	2018-03-17 18:03:51.000000000 +0000
+++ ncurses-6.1-20190302/man/MKterminfo.sh	2019-03-02 22:18:27.000000000 +0000
@@ -1,10 +1,10 @@
 #!/bin/sh
-# $Id: MKterminfo.sh,v 1.16 2018/03/17 18:03:51 Kir.Kolyshkin Exp $
+# $Id: MKterminfo.sh,v 1.17 2019/03/02 22:18:27 tom Exp $
 #
 # MKterminfo.sh -- generate terminfo.5 from Caps tabular data
 #
 #***************************************************************************
-# Copyright (c) 1998-2017,2018 Free Software Foundation, Inc.              *
+# Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.              *
 #                                                                          *
 # Permission is hereby granted, free of charge, to any person obtaining a  *
 # copy of this software and associated documentation files (the            *
@@ -50,15 +50,21 @@
 
 #
 head=$1
-caps=$2
-tail=$3
-cat <<'EOF'
-'\" t
-.\" DO NOT EDIT THIS FILE BY HAND!
-.\" It is generated from terminfo.head, Caps, and terminfo.tail.
-.\"
-.\" Note: this must be run through tbl before nroff.
-.\" The magic cookie on the first line triggers this under some man programs.
+shift 1
+caps=
+while test $# -gt 1
+do
+	caps="$caps $1"
+	shift 1
+done
+tail=$1
+cat <<EOF
+'\\" t
+.\\" DO NOT EDIT THIS FILE BY HAND!
+.\\" It is generated from terminfo.head, $caps, and terminfo.tail.
+.\\"
+.\\" Note: this must be run through tbl before nroff.
+.\\" The magic cookie on the first line triggers this under some man programs.
 EOF
 cat $head
 
@@ -68,7 +74,7 @@
 trap "code=\$?; rm -f $sorted $temp $unsorted; exit \$code" EXIT HUP INT QUIT TERM
 rm -f $sorted $temp $unsorted
 
-sed -n <$caps "\
+cat $caps | sed -n "\
 /%%-STOP-HERE-%%/q
 /^#%center/s, expand,,
 /^#%lw25/s, lw6 , lw7 ,
Index: man/Makefile.in
Prereq:  1.48 
--- ncurses-6.1-20190223+/man/Makefile.in	2015-08-05 23:15:41.000000000 +0000
+++ ncurses-6.1-20190302/man/Makefile.in	2019-03-02 22:18:27.000000000 +0000
@@ -1,6 +1,6 @@
-# $Id: Makefile.in,v 1.48 2015/08/05 23:15:41 tom Exp $
+# $Id: Makefile.in,v 1.49 2019/03/02 22:18:27 tom Exp $
 ##############################################################################
-# Copyright (c) 1998-2013,2015 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2015,2019 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -68,8 +68,13 @@
 	-$(SHELL) ../edit_man.sh normal removing $(EDITARGS)
 
 # We compose terminfo.5 from the real sources...
-CAPLIST=$(srcdir)/../include/@TERMINFO_CAPS@
-terminfo.5: $(srcdir)/terminfo.head $(CAPLIST) $(srcdir)/terminfo.tail Makefile $(srcdir)/MKterminfo.sh
+CAPLIST	= \
+	$(srcdir)/../include/@TERMINFO_CAPS@ \
+	$(srcdir)/../include/Caps-ncurses
+terminfo.5: $(srcdir)/terminfo.head \
+		$(CAPLIST) \
+		$(srcdir)/terminfo.tail \
+		Makefile $(srcdir)/MKterminfo.sh
 	$(SHELL) $(srcdir)/MKterminfo.sh $(srcdir)/terminfo.head $(CAPLIST) $(srcdir)/terminfo.tail >terminfo.5
 
 mostlyclean :
Index: ncurses/Makefile.in
Prereq:  1.156 
--- ncurses-6.1-20190223+/ncurses/Makefile.in	2018-03-01 17:37:19.000000000 +0000
+++ ncurses-6.1-20190302/ncurses/Makefile.in	2019-03-02 22:18:27.000000000 +0000
@@ -1,6 +1,6 @@
-# $Id: Makefile.in,v 1.156 2018/03/01 17:37:19 tom Exp $
+# $Id: Makefile.in,v 1.157 2019/03/02 22:18:27 tom Exp $
 ##############################################################################
-# Copyright (c) 1998-2017,2018 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -155,6 +155,7 @@
 
 USE_BIG_STRINGS	= @USE_BIG_STRINGS@
 TERMINFO_CAPS	= $(top_srcdir)/include/@TERMINFO_CAPS@
+CAPLIST		= $(TERMINFO_CAPS) $(top_srcdir)/include/Caps-ncurses
 
 TERMINFO	= @TERMINFO@
 TERMINFO_SRC	= @TERMINFO_SRC@
@@ -228,7 +229,7 @@
 	./make_keys$(BUILD_EXEEXT) keys.list > $@
 
 keys.list :	$(tinfo)/MKkeys_list.sh
-	AWK=$(AWK) $(SHELL) $(tinfo)/MKkeys_list.sh $(TERMINFO_CAPS) | LC_ALL=C sort >$@
+	AWK=$(AWK) $(SHELL) $(tinfo)/MKkeys_list.sh $(CAPLIST) | LC_ALL=C sort >$@
 
 make_keys$(BUILD_EXEEXT) : \
 		$(tinfo)/make_keys.c \
@@ -254,16 +255,16 @@
 		../include/hashsize.h \
 		$(tinfo)/MKcaptab.sh \
 		$(tinfo)/MKcaptab.awk
-	$(SHELL) -e $(tinfo)/MKcaptab.sh $(AWK) $(USE_BIG_STRINGS) $(tinfo)/MKcaptab.awk $(srcdir)/../include/@TERMINFO_CAPS@ > $@
+	$(SHELL) -e $(tinfo)/MKcaptab.sh $(AWK) $(USE_BIG_STRINGS) $(tinfo)/MKcaptab.awk $(CAPLIST) > $@
 
 ./lib_keyname.c: keys.list $(base)/MKkeyname.awk
 	$(AWK) -f $(base)/MKkeyname.awk bigstrings=$(USE_BIG_STRINGS) keys.list > $@
 
 ./codes.c: $(tinfo)/MKcodes.awk
-	$(AWK) -f $(tinfo)/MKcodes.awk bigstrings=$(USE_BIG_STRINGS) $(srcdir)/../include/@TERMINFO_CAPS@ >$@
+	$(AWK) -f $(tinfo)/MKcodes.awk bigstrings=$(USE_BIG_STRINGS) $(CAPLIST) >$@
 
 ./names.c: $(tinfo)/MKnames.awk
-	$(AWK) -f $(tinfo)/MKnames.awk bigstrings=$(USE_BIG_STRINGS) $(srcdir)/../include/@TERMINFO_CAPS@ >$@
+	$(AWK) -f $(tinfo)/MKnames.awk bigstrings=$(USE_BIG_STRINGS) $(CAPLIST) >$@
 
 ./unctrl.c: $(base)/MKunctrl.awk
 	echo | $(AWK) -f $(base)/MKunctrl.awk bigstrings=$(USE_BIG_STRINGS) >$@
Index: ncurses/tinfo/MKkeys_list.sh
Prereq:  1.5 
--- ncurses-6.1-20190223+/ncurses/tinfo/MKkeys_list.sh	2017-08-12 12:22:06.000000000 +0000
+++ ncurses-6.1-20190302/ncurses/tinfo/MKkeys_list.sh	2019-03-02 22:47:33.000000000 +0000
@@ -1,7 +1,7 @@
 #! /bin/sh
-# $Id: MKkeys_list.sh,v 1.5 2017/08/12 12:22:06 tom Exp $
+# $Id: MKkeys_list.sh,v 1.6 2019/03/02 22:47:33 tom Exp $
 ##############################################################################
-# Copyright (c) 2001-2003,2017 Free Software Foundation, Inc.                #
+# Copyright (c) 2001-2017,2019 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -35,11 +35,16 @@
 # Extract function-key names from the Caps file
 #
 : ${AWK-awk}
-DATA=${1-../../include/Caps}
+if test $# != 0
+then
+	DATA="$*"
+else
+	DATA=../../include/Caps
+fi
 
 data=data$$
-trap 'rm -f $data' 0 1 2 3 15
-sed -e 's/[	][	]*/	/g' < $DATA >$data
+trap 'rm -f $data' EXIT INT QUIT TERM HUP
+cat $DATA | sed -e 's/[	][	]*/	/g' >$data
 
 cat <<EOF
 # These definitions were generated by $0 $DATA
@@ -53,6 +58,7 @@
 /^#/		{next;}
 /^capalias/	{next;}
 /^infoalias/	{next;}
+/^userdef/	{next;}
 
 $5 != "-" {
 		if (substr($5, 1, 4) == "KEY_" ) {
Index: ncurses/tty/MKexpanded.sh
Prereq:  1.20 
--- ncurses-6.1-20190223+/ncurses/tty/MKexpanded.sh	2017-08-12 12:20:28.000000000 +0000
+++ ncurses-6.1-20190302/ncurses/tty/MKexpanded.sh	2019-03-02 22:47:55.000000000 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh
 ##############################################################################
-# Copyright (c) 1998-2015,2017 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2017,2019 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -29,7 +29,7 @@
 #
 # Author: Thomas E. Dickey, 1997-on
 #
-# $Id: MKexpanded.sh,v 1.20 2017/08/12 12:20:28 tom Exp $
+# $Id: MKexpanded.sh,v 1.21 2019/03/02 22:47:55 tom Exp $
 #
 # Script to generate 'expanded.c', a dummy source that contains functions
 # corresponding to complex macros used in this library.  By making functions,
@@ -48,7 +48,7 @@
 fi
 
 TMP=gen$$.c
-trap "rm -f $TMP" 0 1 2 3 15
+trap "rm -f $TMP" EXIT INT QUIT TERM HUP
 
 cat <<EOF
 /* generated by MKexpanded.sh */
Index: ncurses/tty/tty_update.c
Prereq:  1.299 
--- ncurses-6.1-20190223+/ncurses/tty/tty_update.c	2018-09-08 21:33:59.000000000 +0000
+++ ncurses-6.1-20190302/ncurses/tty/tty_update.c	2019-02-25 21:42:01.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2017,2018 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -84,7 +84,7 @@
 
 #include <ctype.h>
 
-MODULE_ID("$Id: tty_update.c,v 1.299 2018/09/08 21:33:59 tom Exp $")
+MODULE_ID("$Id: tty_update.c,v 1.300 2019/02/25 21:42:01 tom Exp $")
 
 /*
  * This define controls the line-breakout optimization.  Every once in a
@@ -686,8 +686,9 @@
 	    } else if (repeat_char != 0 &&
 #if USE_WIDEC_SUPPORT
 		       (!SP_PARM->_screen_unicode &&
-			((AttrOf(ntext0) & A_ALTCHARSET) == 0 ||
-			 (CharOf(ntext0) < ACS_LEN))) &&
+			(CharOf(ntext0) < ((AttrOf(ntext0) & A_ALTCHARSET)
+					   ? ACS_LEN
+					   : 256))) &&
 #endif
 		       runcount > SP_PARM->_rep_cost) {
 		NCURSES_CH_T temp;
Index: package/debian-mingw/changelog
--- ncurses-6.1-20190223+/package/debian-mingw/changelog	2019-02-23 16:29:00.000000000 +0000
+++ ncurses-6.1-20190302/package/debian-mingw/changelog	2019-02-28 00:12:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20190223) unstable; urgency=low
+ncurses6 (6.1+20190302) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 23 Feb 2019 11:29:00 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 27 Feb 2019 19:12:30 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.1-20190223+/package/debian-mingw64/changelog	2019-02-23 16:29:00.000000000 +0000
+++ ncurses-6.1-20190302/package/debian-mingw64/changelog	2019-02-28 00:12:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20190223) unstable; urgency=low
+ncurses6 (6.1+20190302) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 23 Feb 2019 11:29:00 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 27 Feb 2019 19:12:30 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.1-20190223+/package/debian/changelog	2019-02-23 16:29:00.000000000 +0000
+++ ncurses-6.1-20190302/package/debian/changelog	2019-02-28 00:12:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20190223) unstable; urgency=low
+ncurses6 (6.1+20190302) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 23 Feb 2019 11:29:00 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 27 Feb 2019 19:12:30 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.315 
--- ncurses-6.1-20190223+/package/mingw-ncurses.nsi	2019-02-23 16:29:00.000000000 +0000
+++ ncurses-6.1-20190302/package/mingw-ncurses.nsi	2019-02-28 00:12:30.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.315 2019/02/23 16:29:00 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.317 2019/02/28 00:12:30 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "1"
 !define VERSION_YYYY  "2019"
-!define VERSION_MMDD  "0223"
+!define VERSION_MMDD  "0302"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.1-20190223+/package/mingw-ncurses.spec	2019-02-23 16:29:00.000000000 +0000
+++ ncurses-6.1-20190302/package/mingw-ncurses.spec	2019-02-28 00:12:30.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.1
-Release: 20190223
+Release: 20190302
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.1-20190223+/package/ncurses.spec	2019-02-23 16:29:00.000000000 +0000
+++ ncurses-6.1-20190302/package/ncurses.spec	2019-02-28 00:12:30.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.1
-Release: 20190223
+Release: 20190302
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncursest.spec
--- ncurses-6.1-20190223+/package/ncursest.spec	2019-02-23 16:29:00.000000000 +0000
+++ ncurses-6.1-20190302/package/ncursest.spec	2019-02-28 00:12:30.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: Curses library with POSIX thread support.
 Name: ncursest6
 Version: 6.1
-Release: 20190223
+Release: 20190302
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: progs/capconvert
Prereq:  1.6 
--- ncurses-6.1-20190223+/progs/capconvert	2017-08-12 12:22:06.000000000 +0000
+++ ncurses-6.1-20190302/progs/capconvert	2019-03-02 22:51:42.000000000 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 ##############################################################################
-# Copyright (c) 1998-2011,2017 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2017,2019 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -26,7 +26,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: capconvert,v 1.6 2017/08/12 12:22:06 tom Exp $
+# $Id: capconvert,v 1.7 2019/03/02 22:51:42 tom Exp $
 #
 # capconvert -- automated conversion from termcap to terminfo
 #
@@ -205,14 +205,14 @@
 #
 # Kluge alert: we compile terminfo.src in two pieces because a lot of machines
 # with < 16MB RAM choke on tic's core-hog habits.
-trap "rm -f tsplit$$.*" 0 1 2 3 15
+trap "rm -f tsplit$$.*" EXIT INT QUIT TERM HUP
 sed -n $master \
 	-e '1,/SPLIT HERE/w 'tsplit$$.01 \
 	-e '/SPLIT HERE/,$w 'tsplit$$.02 \
 	2>/dev/null
 for x in tsplit$$.*; do eval $TIC $x; done
 rm tsplit$$.*
-trap 0 1 2 3 15
+trap EXIT INT QUIT TERM HUP
 #
 echo "You now have a private tree under $HOME/.terminfo;"
 echo "the ncurses library will automatically read from it,"
Index: test/make-tar.sh
Prereq:  1.14 
--- ncurses-6.1-20190223+/test/make-tar.sh	2017-08-12 12:22:06.000000000 +0000
+++ ncurses-6.1-20190302/test/make-tar.sh	2019-03-02 22:51:42.000000000 +0000
@@ -1,7 +1,7 @@
 #!/bin/sh
-# $Id: make-tar.sh,v 1.14 2017/08/12 12:22:06 tom Exp $
+# $Id: make-tar.sh,v 1.15 2019/03/02 22:51:42 tom Exp $
 ##############################################################################
-# Copyright (c) 2010-2015,2017 Free Software Foundation, Inc.                #
+# Copyright (c) 2010-2017,2019 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -80,7 +80,7 @@
 SOURCE=`cd ..;pwd`
 
 BUILD=$TMPDIR/make-tar$$
-trap "cd /; rm -rf $BUILD; exit 0" 0 1 2 3 15
+trap "cd /; rm -rf $BUILD; exit 0" EXIT INT QUIT TERM HUP
 
 umask 077
 if ! ( mkdir $BUILD )
